package com.fdkankan.platform.common;

public class ConstantExcel {
    public static final String[] ORDEREXCELCOLENNAME = {"序号","支付时间","发货订单编号","手机号/用户号","订单金额","支付方式","收货地址","收件人电话","收件人姓名", "订单状态","付款状态","配送状态","交易号","发票类型（三种类型）","发票抬头","纳税人识别号","注册地址","注册电话","开户银行","银行账户"};
    public static final String[] SUMMARYEXCELCOLENNAME = {"手机号/用户号","设备ID","期初点数","新增点数","消费点数","其他点数变动","期末点数","期初开票额度","新增开票额度","已开票额度","其他金额变动","期末开票额度"};
    public static final String[] RECHARGEEXCELCOLENNAME = {"时间","订单号","手机号/用户名","设备ID","充值点数","订单金额（元）","支付方式","类型","交易号"};
    public static final String[] CONSUMEEXCELCOLENNAME = {"时间","订单号","手机号/用户名","设备ID","商品名称","消费点数"};
    public static final String[] INVOICEEXCELCOLENNAME = {"序号","订单编号","发票类型","开票金额","发票抬头","18位税号","注册地址","注册电话","开户银行","银行账户","收件地址","电子邮箱","手机号码","商品1","数量","价格","金额","商品2","数量","价格","金额","商品3","数量","价格","金额","更多商品"};
    public static final String[] INVOICEEXCELCOLENNAME2 ={"序号","订单编号","用户名","支付时间","快递单号","订单金额","支付方式","发票类型（两种类型）","发票抬头","纳税人识别号","注册地址",
            "注册电话","开户银行","银行账户","收件人姓名","收件人电话","收货地址","电子邮箱","订单状态","配送状态","付款状态"};


    public static final String[] CAMEREXCELCOLENAME = {"设备ID","SN号","入库时间","出库时间","订单编号","经销商","出库时间","地区","手机号码/用户名","激活时间"};
    //public static final String[] AGENT_CAMERACOLENNAME = {"设备ID","期初点数","赠送点数","已用点数","剩余点数","充值金额","兑换为点数","消耗点数","提成金额"};
    public static final String[] AGENT_CAMERACOLENNAME = {"设备ID","赠送点数","已用点数","剩余点数","充值金额","兑换为点数","消耗点数","提成金额"};
    public static final String[] AGENT_DETAILCHARGECOLENNAME = {"时间","充值金额","兑换成点数","状态","订单编号"};
    public static final String[] AGENT_DETAILCONSUMECOLENNAME = {"时间","消费点数","订单编号"};

    public static final String[] MANAGEAGENT = {"代理ID","公司名称","电话","区域","邮箱","使用状态","创建时间"};
    public static final String[] MANAGEAGENTQUERY = {"代理ID","公司名称","区域","电话","代理数量","库存","累计充值金额","累计消耗点数","提成金额"};
    public static final String[] MANAGEAGENTDETAILQUERY = {"设备ID","初始点数","已用点数","剩余点数","充值金额","兑换为点数","消耗点数","提成金额"};

    public static final String[] ORDERSTATUS = {"未支付","待发货","已发货","已完成"};
    public static final String[] PAYFORM = {"微信","支付宝","Paypal","其他","货到付款"};
    public static final String[] INVOICE = {"不需要发票","增值税普通发票","增值税专用发票"};
    public static final String[] INVOICETYPE1 = {"发票抬头","纳税人识别号"};
    public static final String[] INVOICETYPE2 = {"发票抬头","纳税人识别号","注册地址","注册电话","开户银行","银行账户"};

    public static final String getOrderStatus(String orderStatus){
        String status = "";
        switch (orderStatus){
            case "unprocessed":
                status = "未处理";
                break;
            case "processed":
                status = "已确认";
                break;
            case "completed":
                status = "已完成";
                break;
            case "invalid":
                status = "已取消";
                break;
        }
        return status;
    }

    public static final String getPaymentStatus(String paymentStatus){
        String status = "";
        switch (paymentStatus){
            case "unpaid":
                status = "未付款";
                break;
            case "paid":
                status = "已付款";
                break;
            case "cancel":
                status = "已取消";
                break;
            case "partPayment":
                status = "部分支付";
                break;
            case "partRefund":
                status = "部分退款";
                break;
            case "refunded":
                status = "全额退款";
                break;
        }
        return status;
    }

    public static final String getShippingStatus(String shippingStatus){
        String status = "";
        switch (shippingStatus){
            case "unshipped":
                status = "未发货";
                break;
            case "partShipped":
                status = "部分发货";
                break;
            case "shipped":
                status = "已发货";
                break;
            case "partReshiped":
                status = "部分退货";
                break;
            case "reshiped":
                status = "已退货";
                break;
            case "received":
                status = "已收货";
                break;
        }
        return status;
    }
}
